Build failed: Gradle build failed with unknown error. Please see logs for the "Run gradlew" phase. with expo-ads-admoob

i am using eas build. with expo build every thing is ok ! but with eas build when gradlew run i have this problem:

> Task :react-native-admob:generateReleaseRFile FAILED
> Task :app:mergeReleaseAssets FAILED
[stderr] FAILURE: Build completed with 2 failures.
[stderr] 1: Task failed with an exception.
[stderr] -----------
[stderr] * What went wrong:
[stderr] Execution failed for task ':react-native-admob:generateReleaseRFile'.
[stderr] > Could not resolve all files for configuration ':react-native-admob:releaseCompileClasspath'.
[stderr]    > Could not resolve com.google.guava:listenablefuture:1.0.
[stderr]      Required by:
[stderr]          project :react-native-admob > com.google.android.gms:play-services-ads:20.3.0 > com.google.android.gms:play-services-ads-lite:20.3.0 > androidx.work:work-runtime:2.1.0
[stderr]       > Skipped due to earlier error
[stderr] * Try:
[stderr] Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output. Run with --scan to get full insights.
[stderr] ==============================================================================
[stderr] 2: Task failed with an exception.
[stderr] -----------
[stderr] * What went wrong:
[stderr] Execution failed for task ':app:mergeReleaseAssets'.
[stderr] > Could not resolve all files for configuration ':app:releaseRuntimeClasspath'.
[stderr]    > Could not resolve org.webkit:android-jsc:+.
[stderr]      Required by:
[stderr]          project :app
[stderr]       > Failed to list versions for org.webkit:android-jsc.
[stderr]          > Unable to load Maven meta-data from https://jcenter.bintray.com/org/webkit/android-jsc/maven-metadata.xml.
[stderr]             >
[stderr] Could not get resource 'https://jcenter.bintray.com/org/webkit/android-jsc/maven-metadata.xml'.
[stderr]                > Could not GET 'https://jcenter.bintray.com/org/webkit/android-jsc/maven-metadata.xml'.
[stderr]                   > Read timed out
[stderr]    > Could not resolve com.google.guava:listenablefuture:1.0.
[stderr]      Required by:
[stderr]          project :app > project :expo-ads-admob > com.google.android.gms:play-services-ads:20.3.0 > com.google.android.gms:play-services-ads-lite:20.3.0 > androidx.work:work-runtime:2.1.0
[stderr]       > Skipped due to earlier error
[stderr] * Try:
[stderr] Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output. Run with --scan to get full insights.
[stderr] ==============================================================================
[stderr] * Get more help at https://help.gradle.org
[stderr] BUILD FAILED in 5m 34s
Deprecated Gradle features were used in this build, making it incompatible with Gradle 7.0.
Use '--warning-mode all' to show the individual deprecation warnings.
See https://docs.gradle.org/6.8/userguide/command_line_interface.html#sec:command_line_warnings
334 actionable tasks: 334 executed

I tried too much things… like change the eas.json and update all node libraries…

and when i tried again:

> Task :expo-structured-headers:compileReleaseKotlin FAILED
[stderr] FAILURE: Build completed with 2 failures.
[stderr] 1: Task failed with an exception.
[stderr] -----------
[stderr] * What went wrong:
[stderr] Execution failed for task ':app:mergeReleaseAssets'.
[stderr] > Could not resolve all files for configuration ':app:releaseRuntimeClasspath'.
[stderr]    > Could not resolve org.webkit:android-jsc:+.
[stderr]      Required by:
[stderr]          project :app
[stderr]       > Failed to list versions for org.webkit:android-jsc.
[stderr]          > Unable to load Maven meta-data from https://jcenter.bintray.com/org/webkit/android-jsc/maven-metadata.xml.
[stderr]             > Could not get resource 'https://jcenter.bintray.com/org/webkit/android-jsc/maven-metadata.xml'.
[stderr]                > Could not GET 'https://jcenter.bintray.com/org/webkit/android-jsc/maven-metadata.xml'.
[stderr]                   > Read timed out
[stderr]    > Could not resolve org.apache.commons:commons-lang3:3.9.
[stderr]      Required by:
[stderr]          project :app > project :expo-updates
[stderr]       > Skipped due to earlier error
[stderr]    > Could not resolve com.google.guava:listenablefuture:1.0.
[stderr]      Required by:
[stderr]          project :app > project :expo-ads-admob > com.google.android.gms:play-services-ads:20.3.0 > com.google.android.gms:play-services-ads-lite:20.3.0 > androidx.work:work-runtime:2.1.0
[stderr]       > Skipped due to earlier error
[stderr] * Try:
[stderr] Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output. Run with --scan to get full insights.
[stderr] ==============================================================================
[stderr] 2: Task failed with an exception.
[stderr] -----------
[stderr] * What went wrong:
[stderr] Execution failed for task ':expo-structured-headers:compileReleaseKotlin'.
[stderr] > Could not resolve all files for configuration ':expo-structured-headers:kotlinCompilerPluginClasspath'.
[stderr]    > Could not download kotlin-android-extensions-1.4.21.jar (org.jetbrains.kotlin:kotlin-android-extensions:1.4.21): Skipped due to earlier error
[stderr] * Try:
[stderr] Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output. Run with --scan to get full insights.
[stderr] ==============================================================================
[stderr] * Get more help at https://help.gradle.org
[stderr] BUILD FAILED in 5m 58s
Deprecated Gradle features were used in this build, making it incompatible with Gradle 7.0.
Use '--warning-mode all' to show the individual deprecation warnings.
See https://docs.gradle.org/6.8/userguide/command_line_interface.html#sec:command_line_warnings
299 actionable tasks: 299 executed

I got different error ! what is the problem with my project ???

Expo CLI 4.10.0 environment info:
    System:
      OS: Windows 10 10.0.19042
    Binaries:
      Node: 14.17.5 - C:\Program Files\nodejs\node.EXE
      npm: 6.14.14 - C:\Program Files\nodejs\npm.CMD
    IDEs:
      Android Studio: Version     2020.3.0.0 AI-203.7717.56.2031.7583922
    npmPackages:
      expo: ~42.0.1 => 42.0.3
      react: 16.13.1 => 16.13.1
      react-dom: 16.13.1 => 16.13.1
      react-native: https://github.com/expo/react-native/archive/sdk-42.0.0.tar.gz => 0.63.2
      react-native-web: ^0.17.1 => 0.17.1
    Expo Workflow: managed

Hello, i have the same problem when i try build app with eas build.

> Task :expo-updates:compileReleaseJavaWithJavac
The following annotation processors are not incremental: room-compiler-2.1.0.jar (androidx.room:room-compiler:2.1.0).
Make sure all annotation processors are incremental to improve your build speed.
[stderr] Note: Some input files use or override a deprecated API.
[stderr] Note: Recompile with -Xlint:deprecation for details.
[stderr] Note: /build/workingdir/build/node_modules/expo-updates/android/src/main/java/expo/modules/updates/UpdatesConfiguration.java uses unchecked or unsafe operations.
[stderr] Note: Recompile with -Xlint:unchecked for details.
[stderr] FAILURE: Build failed with an exception.
[stderr] * What went wrong:
[stderr] Execution failed for task ':app:mergeReleaseAssets'.
[stderr] > Could not resolve all files for configuration ':app:releaseRuntimeClasspath'.
[stderr]    > Could not resolve org.webkit:android-jsc:+.
[stderr]      Required by:
[stderr]          project :app
[stderr]       > Failed to list versions for org.webkit:android-jsc.
[stderr]          > Unable to load Maven meta-data from https://jcenter.bintray.com/org/webkit/android-jsc/maven-metadata.xml.
[stderr]             > Could not get resource 'https://jcenter.bintray.com/org/webkit/android-jsc/maven-metadata.xml'.
[stderr]                > Could not GET 'https://jcenter.bintray.com/org/webkit/android-jsc/maven-metadata.xml'.
[stderr]                   > Read timed out
[stderr]    > Could not resolve com.google.guava:listenablefuture:1.0.
[stderr]      Required by:
[stderr]          project :app > project :expo-web-browser > androidx.browser:browser:1.2.0
[stderr]          project :app > project :expo-web-browser > androidx.browser:browser:1.2.0 > androidx.concurrent:concurrent-futures:1.0.0
[stderr]       > Skipped due to earlier error
[stderr] * Try:
[stderr] Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output. Run with --scan to get full insights.
[stderr] * Get more help at https://help.gradle.org
[stderr] BUILD FAILED in 4m 18s
Deprecated Gradle features were used in this build, making it incompatible with Gradle 7.0.
Use '--warning-mode all' to show the individual deprecation warnings.
See https://docs.gradle.org/6.8/userguide/command_line_interface.html#sec:command_line_warnings
303 actionable tasks: 303 executed
Error: Gradle build failed with unknown error. Please see logs for the "Run gradlew" phase.
1 Like

I tried too much things… like change the eas.json and update all node libraries…

Maybe some of the underlying services were down?

https://status.jitpack.io/776679744

What happens if you try now?

From another issue i aslo saw:

hi there! this was a bug in react-native-reanimated. it has been resolved in react-native-reanimated@2.2.2.

I’m getting build issues on Android aswell via eas build

output

Running './gradlew :app:assembleRelease' in /build/workingdir/build/android
Downloading https://services.gradle.org/distributions/gradle-6.8-all.zip
Unzipping /root/.gradle/wrapper/dists/gradle-6.8-all/9emh0d32e025cam7aasxcw002/gradle-6.8-all.zip to /root/.gradle/wrapper/dists/gradle-6.8-all/9emh0d32e025cam7aasxcw002
Set executable permissions for: /root/.gradle/wrapper/dists/gradle-6.8-all/9emh0d32e025cam7aasxcw002/gradle-6.8/bin/gradle
Welcome to Gradle 6.8!
Here are the highlights of this release:
 - Faster Kotlin DSL script compilation
- Vendor selection for Java toolchains
- Convenient execution of tasks in composite builds
- Consistent dependency resolution
For more details see https://docs.gradle.org/6.8/release-notes.html
To honour the JVM settings for this build a single-use Daemon process will be forked. See https://docs.gradle.org/6.8/userguide/gradle_daemon.html#sec:disabling_the_daemon.
Daemon will be stopped at the end of the build
> Configure project :app
Installing unimodules:
 unimodules-core@7.1.0 from /build/workingdir/build/node_modules/@unimodules/core
 unimodules-react-native-adapter@6.2.2 from /build/workingdir/build/node_modules/@unimodules/react-native-adapter
 expo-application@3.1.2 from /build/workingdir/build/node_modules/expo-application
 expo-av@9.1.2 from /build/workingdir/build/node_modules/expo-av
 expo-constants@10.1.3 from /build/workingdir/build/node_modules/expo-constants
 expo-device@3.2.0 from /build/workingdir/build/node_modules/expo-device
 expo-error-recovery@2.1.0 from /build/workingdir/build/node_modules/expo-error-recovery
 expo-facebook@11.0.5 from /build/workingdir/build/node_modules/expo-facebook
 expo-file-system@11.0.2 from /build/workingdir/build/node_modules/expo-file-system
 expo-firebase-analytics@4.0.2 from /build/workingdir/build/node_modules/expo-firebase-analytics
 expo-firebase-core@3.0.0 from /build/workingdir/build/node_modules/expo-firebase-core
 expo-font@9.1.0 from /build/workingdir/build/node_modules/expo-font
 expo-image-loader@2.1.1 from /build/workingdir/build/node_modules/expo-image-loader
 expo-image-manipulator@9.1.0 from /build/workingdir/build/node_modules/expo-image-manipulator
 expo-image-picker@10.1.4 from /build/workingdir/build/node_modules/expo-image-picker
 expo-keep-awake@9.1.2 from /build/workingdir/build/node_modules/expo-keep-awake
 expo-linear-gradient@9.1.0 from /build/workingdir/build/node_modules/expo-linear-gradient
 expo-location@12.0.4 from /build/workingdir/build/node_modules/expo-location
 expo-mail-composer@10.1.2 from /build/workingdir/build/node_modules/expo-mail-composer
 expo-media-library@12.0.2 from /build/workingdir/build/node_modules/expo-media-library
 expo-notifications@0.11.5 from /build/workingdir/build/node_modules/expo-notifications
 expo-permissions@12.0.1 from /build/workingdir/build/node_modules/expo-permissions
 expo-splash-screen@0.10.2 from /build/workingdir/build/node_modules/expo-splash-screen
 expo-store-review@4.0.2 from /build/workingdir/build/node_modules/expo-store-review
 expo-structured-headers@1.0.1 from /build/workingdir/build/node_modules/expo-structured-headers
 expo-task-manager@9.1.0 from /build/workingdir/build/node_modules/expo-task-manager
 expo-updates@0.5.5 from /build/workingdir/build/node_modules/expo-updates
 expo-web-browser@9.1.0 from /build/workingdir/build/node_modules/expo-web-browser
 unimodules-app-loader@2.1.0 from /build/workingdir/build/node_modules/unimodules-app-loader
 unimodules-barcode-scanner-interface@6.1.0 from /build/workingdir/build/node_modules/unimodules-barcode-scanner-interface
 unimodules-camera-interface@6.1.0 from /build/workingdir/build/node_modules/unimodules-camera-interface
 unimodules-constants-interface@6.1.0 from /build/workingdir/build/node_modules/unimodules-constants-interface
 unimodules-face-detector-interface@6.1.0 from /build/workingdir/build/node_modules/unimodules-face-detector-interface
 unimodules-file-system-interface@6.1.0 from /build/workingdir/build/node_modules/unimodules-file-system-interface
 unimodules-font-interface@6.1.0 from /build/workingdir/build/node_modules/unimodules-font-interface
 unimodules-image-loader-interface@6.1.0 from /build/workingdir/build/node_modules/unimodules-image-loader-interface
 unimodules-permissions-interface@6.1.0 from /build/workingdir/build/node_modules/unimodules-permissions-interface
 unimodules-sensors-interface@6.1.0 from /build/workingdir/build/node_modules/unimodules-sensors-interface
 unimodules-task-manager-interface@6.1.0 from /build/workingdir/build/node_modules/unimodules-task-manager-interface
Found some duplicated unimodule packages. Installed the ones with the highest version number.
Make sure following dependencies of your project are resolving to one specific version:
 expo-updates
[stderr] FAILURE: Build failed with an exception.
[stderr] * What went wrong:
[stderr] Could not determine the dependencies of task ':app:lintVitalRelease'.
[stderr] > Could not resolve all artifacts for configuration ':app:debugCompileClasspath'.
[stderr]    > Could not resolve com.facebook.flipper:flipper:0.54.0.
[stderr]      Required by:
[stderr]          project :app
[stderr]       > Skipped due to earlier error
[stderr]    > Could not resolve com.facebook.flipper:flipper-network-plugin:0.54.0.
[stderr]      Required by:
[stderr]          project :app
[stderr]       > Skipped due to earlier error
[stderr]    > Could not resolve com.facebook.flipper:flipper-fresco-plugin:0.54.0.
[stderr]      Required by:
[stderr]       > Skipped due to earlier error
[stderr]          project :app
[stderr]    > Could not resolve com.google.android.exoplayer:exoplayer:2.9.2.
[stderr]      Required by:
[stderr]          project :app > project :expo-av
[stderr]       > Skipped due to earlier error
[stderr]    > Could not resolve com.google.android.exoplayer:extension-okhttp:2.9.2.
[stderr]      Required by:
[stderr]          project :app > project :expo-av
[stderr]       > Skipped due to earlier error
[stderr]    > Could not resolve com.yqritc:android-scalablevideoview:1.0.1.
[stderr]      Required by:
[stderr]          project :app > project :expo-av
[stderr]       > Skipped due to earlier error
[stderr]    > Could not resolve com.squareup.okhttp3:okhttp:3.14.9.
[stderr]      Required by:
[stderr]          project :app > project :expo-av
[stderr]       > Skipped due to earlier error
[stderr]    > Could not resolve com.squareup.okhttp3:okhttp-urlconnection:3.14.9.
[stderr]      Required by:
[stderr]          project :app > project :expo-av
[stderr]       > Skipped due to earlier error
[stderr]    > Could not resolve org.jetbrains.kotlin:kotlin-stdlib:1.4.21.
[stderr]      Required by:
[stderr]          project :app > project :expo-av
[stderr]          project :app > project :expo-media-library
[stderr]          project :app > project :expo-web-browser
[stderr]       > Skipped due to earlier error
[stderr]    > Could not resolve com.facebook.device.yearclass:yearclass:2.1.0.
[stderr]      Required by:
[stderr]          project :app > project :expo-constants
[stderr]          project :app > project :expo-device
[stderr]       > Skipped due to earlier error
[stderr]    > Could not resolve org.jetbrains.kotlin:kotlin-stdlib-jdk7:1.4.21.
[stderr]      Required by:
[stderr]          project :app > project :expo-error-recovery
[stderr]          project :app > project :expo-image-loader
[stderr]          project :app > project :expo-image-picker
[stderr]          project :app > project :expo-permissions
[stderr]          project :app > project :expo-store-review
[stderr]          project :app > project :unimodules-permissions-interface
[stderr]       > Skipped due to earlier error
[stderr]    > Could not resolve com.facebook.android:facebook-core:9.0.0.
[stderr]      Required by:
[stderr]          project :app > project :expo-facebook
[stderr]       > Skipped due to earlier error
[stderr]    > Could not resolve com.facebook.android:facebook-login:9.0.0.
[stderr]      Required by:
[stderr]          project :app > project :expo-facebook
[stderr]       > Skipped due to earlier error
[stderr]    > Could not resolve commons-io:commons-io:2.6.
[stderr]      Required by:
[stderr]          project :app > project :expo-file-system
[stderr]       > Skipped due to earlier error
[stderr]    > Could not resolve com.squareup.okhttp3:okhttp:3.14.9.
[stderr]      Required by:
[stderr]          project :app > project :expo-file-system
[stderr]       > Skipped due to earlier error
[stderr]    > Could not resolve com.squareup.okhttp3:okhttp-urlconnection:3.14.9.
[stderr]      Required by:
[stderr]          project :app > project :expo-file-system
[stderr]       > Skipped due to earlier error
[stderr]    > Could not resolve com.github.bumptech.glide:glide:4.9.0.
[stderr]      Required by:
[stderr]          project :app > project :expo-image-loader
[stderr]       > Skipped due to earlier error
[stderr]    > Could not resolve com.facebook.fresco:fresco:2.0.0.
[stderr]      Required by:
[stderr]          project :app > project :expo-image-loader
[stderr]          project :app > com.facebook.react:react-native:0.63.4
[stderr]       > Skipped due to earlier error
[stderr]    > Could not resolve com.theartofdev.edmodo:android-image-cropper:2.8.0.
[stderr]      Required by:
[stderr]          project :app > project :expo-image-picker
[stderr]       > Skipped due to earlier error
[stderr]       > Could not resolve com.theartofdev.edmodo:android-image-cropper:2.8.0.
[stderr]          > Could not get resource 'https://www.jitpack.io/com/theartofdev/edmodo/android-image-cropper/2.8.0/android-image-cropper-2.8.0.pom'.
[stderr]             > Could not GET 'https://www.jitpack.io/com/theartofdev/edmodo/android-image-cropper/2.8.0/android-image-cropper-2.8.0.pom'. Received status code 401 from server: Unauthorized
[stderr]    > Could not resolve commons-io:commons-io:2.6.
[stderr]      Required by:
[stderr]          project :app > project :expo-image-picker
[stderr]       >
[stderr] Skipped due to earlier error
[stderr]    > Could not resolve io.nlopez.smartlocation:library:3.2.11.
[stderr]      Required by:
[stderr]          project :app > project :expo-location
[stderr]       > Skipped due to earlier error
[stderr]    > Could not resolve me.leolin:ShortcutBadger:1.1.22.
[stderr]      Required by:
[stderr]          project :app > project :expo-notifications
[stderr]       > Skipped due to earlier error
[stderr]      Required by:
[stderr]    > Could not resolve com.facebook.infer.annotation:infer-annotation:0.11.2.
[stderr]          project :app > com.facebook.react:react-native:0.63.4
[stderr]       > Skipped due to earlier error
[stderr]    > Could not resolve com.facebook.yoga:proguard-annotations:1.14.1.
[stderr]      Required by:
[stderr]          project :app > com.facebook.react:react-native:0.63.4
[stderr]       > Skipped due to earlier error
[stderr]    > Could not resolve com.facebook.fresco:imagepipeline-okhttp3:2.0.0.
[stderr]      Required by:
[stderr]          project :app > com.facebook.react:react-native:0.63.4
[stderr]       > Skipped due to earlier error
[stderr]    > Could not resolve com.facebook.soloader:soloader:0.9.0.
[stderr]      Required by:
[stderr]          project :app > com.facebook.react:react-native:0.63.4
[stderr]       > Skipped due to earlier error
[stderr]    > Could not resolve com.squareup.okhttp3:okhttp:3.14.9.
[stderr]      Required by:
[stderr]          project :app > com.facebook.react:react-native:0.63.4
[stderr]       > Skipped due to earlier error
[stderr]    > Could not resolve com.squareup.okhttp3:okhttp-urlconnection:3.14.9.
[stderr]      Required by:
[stderr]          project :app > com.facebook.react:react-native:0.63.4
[stderr]       > Skipped due to earlier error
[stderr]    > Could not resolve com.squareup.okio:okio:1.15.0.
[stderr]      Required by:
[stderr]          project :app > com.facebook.react:react-native:0.63.4
[stderr]       > Skipped due to earlier error
[stderr]    > Could not resolve com.facebook.fbjni:fbjni-java-only:0.0.3.
[stderr]      Required by:
[stderr]          project :app > com.facebook.react:react-native:0.63.4
[stderr]       > Skipped due to earlier error
[stderr]    > Could not resolve com.google.auto.value:auto-value-annotations:1.6.5.
[stderr]      Required by:
[stderr]          project :app > com.google.firebase:firebase-common:19.3.0
[stderr]       > Skipped due to earlier error
[stderr]    > Could not resolve com.google.guava:listenablefuture:1.0.
[stderr]      Required by:
[stderr]          project :app > androidx.browser:browser:1.2.0
[stderr]       > Skipped due to earlier error
[stderr]    > Could not resolve com.google.dagger:dagger:2.24.
[stderr]      Required by:
[stderr]          project :app > com.google.android.datatransport:transport-runtime:2.2.0
[stderr]       > Skipped due to earlier error
[stderr] * Try:
[stderr] Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output. Run with --scan to get full insights.
[stderr] * Get more help at https://help.gradle.org
[stderr] BUILD FAILED in 2m 44s
Deprecated Gradle features were used in this build, making it incompatible with Gradle 7.0.
Use '--warning-mode all' to show the individual deprecation warnings.
See https://docs.gradle.org/6.8/userguide/command_line_interface.html#sec:command_line_warnings
Error: Gradle build failed with unknown error. Please see logs for the "Run gradlew" phase.

Info

Expo version: 41

I think it’s the same… i will try to build again and tell you.

error again. see the log:

Running './gradlew :app:bundleRelease' in /build/workingdir/build/android
Downloading https://services.gradle.org/distributions/gradle-6.8-all.zip
Unzipping /root/.gradle/wrapper/dists/gradle-6.8-all/9emh0d32e025cam7aasxcw002/gradle-6.8-all.zip to /root/.gradle/wrapper/dists/gradle-6.8-all/9emh0d32e025cam7aasxcw002
Set executable permissions for: /root/.gradle/wrapper/dists/gradle-6.8-all/9emh0d32e025cam7aasxcw002/gradle-6.8/bin/gradle
Welcome to Gradle 6.8!
Here are the highlights of this release:
 - Faster Kotlin DSL script compilation
 - Vendor selection for Java toolchains
 - Convenient execution of tasks in composite builds
 - Consistent dependency resolution
For more details see https://docs.gradle.org/6.8/release-notes.html
To honour the JVM settings for this build a single-use Daemon process will be forked. See https://docs.gradle.org/6.8/userguide/gradle_daemon.html#sec:disabling_the_daemon.
Daemon will be stopped at the end of the build
> Configure project :app
Installing unimodules:
 unimodules-core@7.1.2 from /build/workingdir/build/node_modules/react-native-unimodules/node_modules/@unimodules/core
unimodules-react-native-adapter@6.3.7 from /build/workingdir/build/node_modules/react-native-unimodules/node_modules/@unimodules/react-native-adapter
expo-ads-admob@10.1.2 from /build/workingdir/build/node_modules/expo-ads-admob
 expo-application@3.2.0 from /build/workingdir/build/node_modules/expo-application
 expo-av@9.2.3 from /build/workingdir/build/node_modules/expo-av
 expo-constants@11.0.2 from /build/workingdir/build/node_modules/react-native-unimodules/node_modules/expo-constants
 expo-error-recovery@2.2.0 from /build/workingdir/build/node_modules/expo-error-recovery
 expo-file-system@11.1.3 from /build/workingdir/build/node_modules/expo-file-system
 expo-font@9.2.1 from /build/workingdir/build/node_modules/expo-font
 expo-image-loader@2.2.0 from /build/workingdir/build/node_modules/expo-image-loader
 expo-keep-awake@9.2.0 from /build/workingdir/build/node_modules/expo-keep-awake
 expo-localization@10.2.0 from /build/workingdir/build/node_modules/expo-localization
 expo-modules-core@0.2.0 from /build/workingdir/build/node_modules/expo-modules-core
 expo-splash-screen@0.11.2 from /build/workingdir/build/node_modules/expo-splash-screen
expo-structured-headers@1.1.1 from /build/workingdir/build/node_modules/expo-structured-headers
 expo-updates-interface@0.2.2 from /build/workingdir/build/node_modules/expo-updates-interface
 expo-updates@0.8.4 from /build/workingdir/build/node_modules/expo-updates
 unimodules-app-loader@2.2.0 from /build/workingdir/build/node_modules/unimodules-app-loader
 unimodules-task-manager-interface@6.2.0 from /build/workingdir/build/node_modules/unimodules-task-manager-interface
Found some duplicated unimodule packages. Installed the ones with the highest version number.
Make sure following dependencies of your project are resolving to one specific version:
 unimodules-core, unimodules-react-native-adapter, expo-constants
> Configure project :expo-structured-headers
Warning: The 'kotlin-android-extensions' Gradle plugin is deprecated. Please use this migration guide (https://goo.gle/kotlin-android-extensions-deprecation) to start working with View Binding (https://developer.android.com/topic/libraries/view-binding) and the 'kotlin-parcelize' plugin.
> Task :expo-ads-admob:preBuild UP-TO-DATE
> Task :expo-ads-admob:preReleaseBuild UP-TO-DATE
> Task :expo-ads-admob:mergeReleaseShaders
> Task :expo-ads-admob:compileReleaseShaders NO-SOURCE
> Task :expo-ads-admob:generateReleaseAssets UP-TO-DATE
> Task :expo-ads-admob:packageReleaseAssets
> Task :expo-application:preBuild UP-TO-DATE
> Task :expo-application:preReleaseBuild UP-TO-DATE
> Task :expo-application:mergeReleaseShaders
> Task :expo-application:compileReleaseShaders NO-SOURCE
> Task :expo-application:generateReleaseAssets UP-TO-DATE
> Task :expo-application:packageReleaseAssets
> Task :expo-av:preBuild UP-TO-DATE
> Task :expo-av:preReleaseBuild UP-TO-DATE
> Task :expo-av:mergeReleaseShaders
> Task :expo-av:compileReleaseShaders NO-SOURCE
> Task :expo-av:generateReleaseAssets UP-TO-DATE
> Task :expo-av:packageReleaseAssets
> Task :expo-constants:preBuild UP-TO-DATE
> Task :expo-constants:preReleaseBuild UP-TO-DATE
> Task :expo-constants:mergeReleaseShaders
> Task :expo-constants:compileReleaseShaders NO-SOURCE
> Task :expo-constants:generateReleaseAssets UP-TO-DATE
> Task :expo-constants:packageReleaseAssets
> Task :expo-error-recovery:preBuild UP-TO-DATE
> Task :expo-error-recovery:preReleaseBuild UP-TO-DATE
> Task :expo-error-recovery:mergeReleaseShaders
> Task :expo-error-recovery:compileReleaseShaders NO-SOURCE
> Task :expo-error-recovery:generateReleaseAssets UP-TO-DATE
> Task :expo-error-recovery:packageReleaseAssets
> Task :expo-file-system:preBuild UP-TO-DATE
> Task :expo-file-system:preReleaseBuild UP-TO-DATE
> Task :expo-file-system:mergeReleaseShaders
> Task :expo-file-system:compileReleaseShaders NO-SOURCE
> Task :expo-file-system:generateReleaseAssets UP-TO-DATE
> Task :expo-file-system:packageReleaseAssets
> Task :expo-font:preBuild UP-TO-DATE
> Task :expo-font:preReleaseBuild UP-TO-DATE
> Task :expo-font:mergeReleaseShaders
> Task :expo-font:compileReleaseShaders NO-SOURCE
> Task :expo-font:generateReleaseAssets UP-TO-DATE
> Task :expo-font:packageReleaseAssets
> Task :expo-image-loader:preBuild UP-TO-DATE
> Task :expo-image-loader:preReleaseBuild UP-TO-DATE
> Task :expo-image-loader:mergeReleaseShaders
> Task :expo-image-loader:compileReleaseShaders NO-SOURCE
> Task :expo-image-loader:generateReleaseAssets UP-TO-DATE
> Task :expo-image-loader:packageReleaseAssets
> Task :expo-keep-awake:preBuild UP-TO-DATE
> Task :expo-keep-awake:preReleaseBuild UP-TO-DATE
> Task :expo-keep-awake:mergeReleaseShaders
> Task :expo-keep-awake:compileReleaseShaders NO-SOURCE
> Task :expo-keep-awake:generateReleaseAssets UP-TO-DATE
> Task :expo-keep-awake:packageReleaseAssets
> Task :expo-localization:preBuild UP-TO-DATE
> Task :expo-localization:preReleaseBuild UP-TO-DATE
> Task :expo-localization:mergeReleaseShaders
> Task :expo-localization:compileReleaseShaders NO-SOURCE
> Task :expo-localization:generateReleaseAssets UP-TO-DATE
> Task :expo-localization:packageReleaseAssets
> Task :expo-modules-core:preBuild UP-TO-DATE
> Task :expo-modules-core:preReleaseBuild UP-TO-DATE
> Task :expo-modules-core:mergeReleaseShaders
> Task :expo-modules-core:compileReleaseShaders NO-SOURCE
> Task :expo-modules-core:generateReleaseAssets UP-TO-DATE
> Task :expo-modules-core:packageReleaseAssets
> Task :expo-splash-screen:preBuild UP-TO-DATE
> Task :expo-splash-screen:preReleaseBuild UP-TO-DATE
> Task :expo-splash-screen:mergeReleaseShaders
> Task :expo-splash-screen:compileReleaseShaders NO-SOURCE
> Task :expo-splash-screen:generateReleaseAssets UP-TO-DATE
> Task :expo-splash-screen:packageReleaseAssets
> Task :expo-structured-headers:preBuild UP-TO-DATE
> Task :expo-structured-headers:preReleaseBuild UP-TO-DATE
> Task :expo-structured-headers:mergeReleaseShaders
> Task :expo-structured-headers:compileReleaseShaders NO-SOURCE
> Task :expo-structured-headers:generateReleaseAssets UP-TO-DATE
> Task :expo-structured-headers:packageReleaseAssets
> Task :expo-updates:preBuild UP-TO-DATE
> Task :expo-updates:preReleaseBuild UP-TO-DATE
> Task :expo-updates:mergeReleaseShaders
> Task :expo-updates:compileReleaseShaders NO-SOURCE
> Task :expo-updates:generateReleaseAssets UP-TO-DATE
> Task :expo-updates:packageReleaseAssets
> Task :expo-updates-interface:preBuild UP-TO-DATE
> Task :expo-updates-interface:preReleaseBuild UP-TO-DATE
> Task :expo-updates-interface:mergeReleaseShaders
> Task :expo-updates-interface:compileReleaseShaders NO-SOURCE
> Task :expo-updates-interface:generateReleaseAssets UP-TO-DATE
> Task :expo-updates-interface:packageReleaseAssets
> Task :react-native-admob:preBuild UP-TO-DATE
> Task :react-native-admob:preReleaseBuild UP-TO-DATE
> Task :react-native-admob:mergeReleaseShaders
> Task :react-native-admob:compileReleaseShaders NO-SOURCE
> Task :react-native-admob:generateReleaseAssets UP-TO-DATE
> Task :react-native-admob:packageReleaseAssets
> Task :react-native-async-storage_async-storage:preBuild UP-TO-DATE
> Task :react-native-async-storage_async-storage:preReleaseBuild UP-TO-DATE
> Task :react-native-async-storage_async-storage:mergeReleaseShaders
> Task :react-native-async-storage_async-storage:compileReleaseShaders NO-SOURCE
> Task :react-native-async-storage_async-storage:generateReleaseAssets UP-TO-DATE
> Task :react-native-async-storage_async-storage:packageReleaseAssets
> Task :react-native-gesture-handler:preBuild UP-TO-DATE
> Task :react-native-gesture-handler:preReleaseBuild UP-TO-DATE
> Task :react-native-gesture-handler:mergeReleaseShaders
> Task :react-native-gesture-handler:compileReleaseShaders NO-SOURCE
> Task :react-native-gesture-handler:generateReleaseAssets UP-TO-DATE
> Task :react-native-gesture-handler:packageReleaseAssets
> Task :react-native-restart:preBuild UP-TO-DATE
> Task :react-native-restart:preReleaseBuild UP-TO-DATE
> Task :react-native-restart:mergeReleaseShaders
> Task :react-native-restart:compileReleaseShaders NO-SOURCE
> Task :react-native-restart:generateReleaseAssets UP-TO-DATE
> Task :react-native-restart:packageReleaseAssets
> Task :react-native-safe-area-context:preBuild UP-TO-DATE
> Task :react-native-safe-area-context:preReleaseBuild UP-TO-DATE
> Task :react-native-safe-area-context:mergeReleaseShaders
> Task :react-native-safe-area-context:compileReleaseShaders NO-SOURCE
> Task :react-native-safe-area-context:generateReleaseAssets UP-TO-DATE
> Task :react-native-safe-area-context:packageReleaseAssets
> Task :react-native-screens:preBuild UP-TO-DATE
> Task :react-native-screens:preReleaseBuild UP-TO-DATE
> Task :react-native-screens:mergeReleaseShaders
> Task :react-native-screens:compileReleaseShaders NO-SOURCE
> Task :react-native-screens:generateReleaseAssets UP-TO-DATE
> Task :react-native-screens:packageReleaseAssets
> Task :react-native-vector-icons:preBuild UP-TO-DATE
> Task :react-native-vector-icons:preReleaseBuild UP-TO-DATE
> Task :react-native-vector-icons:mergeReleaseShaders
> Task :react-native-vector-icons:compileReleaseShaders NO-SOURCE
> Task :react-native-vector-icons:generateReleaseAssets UP-TO-DATE
> Task :react-native-vector-icons:packageReleaseAssets
> Task :unimodules-app-loader:preBuild UP-TO-DATE
> Task :unimodules-app-loader:preReleaseBuild UP-TO-DATE
> Task :unimodules-app-loader:mergeReleaseShaders
> Task :unimodules-app-loader:compileReleaseShaders NO-SOURCE
> Task :unimodules-app-loader:generateReleaseAssets UP-TO-DATE
> Task :unimodules-app-loader:packageReleaseAssets
> Task :unimodules-core:preBuild UP-TO-DATE
> Task :unimodules-core:preReleaseBuild UP-TO-DATE
> Task :unimodules-core:mergeReleaseShaders
> Task :unimodules-core:compileReleaseShaders NO-SOURCE
> Task :unimodules-core:generateReleaseAssets UP-TO-DATE
> Task :unimodules-core:packageReleaseAssets
> Task :unimodules-react-native-adapter:generateExpoModulesPackageList
> Task :unimodules-react-native-adapter:preBuild
> Task :unimodules-react-native-adapter:preReleaseBuild
> Task :unimodules-react-native-adapter:mergeReleaseShaders
> Task :unimodules-react-native-adapter:compileReleaseShaders NO-SOURCE
> Task :unimodules-react-native-adapter:generateReleaseAssets UP-TO-DATE
> Task :unimodules-react-native-adapter:packageReleaseAssets
> Task :unimodules-task-manager-interface:preBuild UP-TO-DATE
> Task :unimodules-task-manager-interface:preReleaseBuild UP-TO-DATE
> Task :unimodules-task-manager-interface:mergeReleaseShaders
> Task :unimodules-task-manager-interface:compileReleaseShaders NO-SOURCE
> Task :unimodules-task-manager-interface:generateReleaseAssets UP-TO-DATE
> Task :unimodules-task-manager-interface:packageReleaseAssets
> Task :expo-ads-admob:packageReleaseRenderscript NO-SOURCE
> Task :expo-application:packageReleaseRenderscript NO-SOURCE
> Task :expo-av:packageReleaseRenderscript NO-SOURCE
> Task :expo-constants:packageReleaseRenderscript NO-SOURCE
> Task :app:bundleReleaseJsAndAssets
warning: the transform cache was reset.
                 Welcome to React Native!
                Learn once, write anywhere
> Task :expo-error-recovery:packageReleaseRenderscript NO-SOURCE
> Task :expo-file-system:packageReleaseRenderscript NO-SOURCE
> Task :expo-font:packageReleaseRenderscript NO-SOURCE
> Task :expo-image-loader:packageReleaseRenderscript NO-SOURCE
> Task :expo-keep-awake:packageReleaseRenderscript NO-SOURCE
> Task :expo-localization:packageReleaseRenderscript NO-SOURCE
> Task :expo-modules-core:packageReleaseRenderscript NO-SOURCE
> Task :expo-splash-screen:packageReleaseRenderscript NO-SOURCE
> Task :expo-structured-headers:packageReleaseRenderscript NO-SOURCE
> Task :expo-updates:packageReleaseRenderscript NO-SOURCE
> Task :expo-updates-interface:packageReleaseRenderscript NO-SOURCE
> Task :react-native-admob:packageReleaseRenderscript NO-SOURCE
> Task :react-native-async-storage_async-storage:packageReleaseRenderscript NO-SOURCE
> Task :react-native-gesture-handler:packageReleaseRenderscript NO-SOURCE
> Task :react-native-restart:packageReleaseRenderscript NO-SOURCE
> Task :react-native-safe-area-context:packageReleaseRenderscript NO-SOURCE
> Task :react-native-screens:packageReleaseRenderscript NO-SOURCE
> Task :react-native-vector-icons:packageReleaseRenderscript NO-SOURCE
> Task :unimodules-app-loader:packageReleaseRenderscript NO-SOURCE
> Task :unimodules-core:packageReleaseRenderscript NO-SOURCE
> Task :unimodules-react-native-adapter:packageReleaseRenderscript NO-SOURCE
> Task :unimodules-task-manager-interface:packageReleaseRenderscript NO-SOURCE
> Task :expo-ads-admob:compileReleaseRenderscript NO-SOURCE
> Task :expo-ads-admob:generateReleaseResValues
> Task :expo-ads-admob:generateReleaseResources
> Task :expo-ads-admob:packageReleaseResources
> Task :expo-application:compileReleaseRenderscript NO-SOURCE
> Task :expo-application:generateReleaseResValues
> Task :expo-application:generateReleaseResources
> Task :expo-application:packageReleaseResources
> Task :expo-av:compileReleaseRenderscript NO-SOURCE
> Task :expo-av:generateReleaseResValues
> Task :expo-av:generateReleaseResources
> Task :expo-av:packageReleaseResources
> Task :expo-constants:compileReleaseRenderscript NO-SOURCE
> Task :expo-constants:generateReleaseResValues
> Task :expo-constants:generateReleaseResources
> Task :expo-constants:packageReleaseResources
> Task :expo-error-recovery:compileReleaseRenderscript NO-SOURCE
> Task :expo-error-recovery:generateReleaseResValues
> Task :expo-error-recovery:generateReleaseResources
> Task :expo-error-recovery:packageReleaseResources
> Task :expo-file-system:compileReleaseRenderscript NO-SOURCE
> Task :expo-file-system:generateReleaseResValues
> Task :expo-file-system:generateReleaseResources
> Task :expo-file-system:packageReleaseResources
> Task :expo-font:compileReleaseRenderscript NO-SOURCE
> Task :expo-font:generateReleaseResValues
> Task :expo-font:generateReleaseResources
> Task :expo-font:packageReleaseResources
> Task :expo-image-loader:compileReleaseRenderscript NO-SOURCE
> Task :expo-image-loader:generateReleaseResValues
> Task :expo-image-loader:generateReleaseResources
> Task :expo-image-loader:packageReleaseResources
> Task :expo-keep-awake:compileReleaseRenderscript NO-SOURCE
> Task :expo-keep-awake:generateReleaseResValues
> Task :expo-keep-awake:generateReleaseResources
> Task :expo-keep-awake:packageReleaseResources
> Task :expo-localization:compileReleaseRenderscript NO-SOURCE
> Task :expo-localization:generateReleaseResValues
> Task :expo-localization:generateReleaseResources
> Task :expo-localization:packageReleaseResources
> Task :expo-modules-core:compileReleaseRenderscript NO-SOURCE
> Task :expo-modules-core:generateReleaseResValues
> Task :expo-modules-core:generateReleaseResources
> Task :expo-modules-core:packageReleaseResources
> Task :expo-splash-screen:compileReleaseRenderscript NO-SOURCE
> Task :expo-splash-screen:generateReleaseResValues
> Task :expo-splash-screen:generateReleaseResources
> Task :expo-splash-screen:packageReleaseResources
> Task :expo-structured-headers:compileReleaseRenderscript NO-SOURCE
> Task :expo-structured-headers:generateReleaseResValues
> Task :expo-structured-headers:generateReleaseResources
> Task :expo-structured-headers:packageReleaseResources
> Task :expo-updates:compileReleaseRenderscript NO-SOURCE
> Task :expo-updates:generateReleaseResValues
> Task :expo-updates:generateReleaseResources
> Task :expo-updates:packageReleaseResources
> Task :expo-updates-interface:compileReleaseRenderscript NO-SOURCE
> Task :expo-updates-interface:generateReleaseResValues
> Task :expo-updates-interface:generateReleaseResources
> Task :expo-updates-interface:packageReleaseResources
> Task :react-native-admob:compileReleaseRenderscript NO-SOURCE
> Task :react-native-admob:generateReleaseResValues
> Task :react-native-admob:generateReleaseResources
> Task :react-native-admob:packageReleaseResources
> Task :react-native-async-storage_async-storage:compileReleaseRenderscript NO-SOURCE
> Task :react-native-async-storage_async-storage:generateReleaseResValues
> Task :react-native-async-storage_async-storage:generateReleaseResources
> Task :react-native-async-storage_async-storage:packageReleaseResources
> Task :react-native-gesture-handler:compileReleaseRenderscript NO-SOURCE
> Task :react-native-gesture-handler:generateReleaseResValues
> Task :react-native-gesture-handler:generateReleaseResources
> Task :react-native-gesture-handler:packageReleaseResources
> Task :react-native-restart:compileReleaseRenderscript NO-SOURCE
> Task :react-native-restart:generateReleaseResValues
> Task :react-native-restart:generateReleaseResources
> Task :react-native-restart:packageReleaseResources
> Task :react-native-safe-area-context:packageReleaseResources
> Task :react-native-screens:compileReleaseRenderscript NO-SOURCE
> Task :react-native-screens:generateReleaseResValues
> Task :react-native-screens:generateReleaseResources
> Task :react-native-safe-area-context:compileReleaseRenderscript NO-SOURCE
> Task :react-native-safe-area-context:generateReleaseResValues
> Task :react-native-safe-area-context:generateReleaseResources
> Task :react-native-screens:packageReleaseResources
> Task :react-native-vector-icons:compileReleaseRenderscript NO-SOURCE
> Task :react-native-vector-icons:generateReleaseResValues
> Task :react-native-vector-icons:generateReleaseResources
> Task :react-native-vector-icons:packageReleaseResources
> Task :unimodules-app-loader:compileReleaseRenderscript NO-SOURCE
> Task :unimodules-app-loader:generateReleaseResValues
> Task :unimodules-app-loader:generateReleaseResources
> Task :unimodules-app-loader:packageReleaseResources
> Task :unimodules-core:compileReleaseRenderscript NO-SOURCE
> Task :unimodules-core:generateReleaseResValues
> Task :unimodules-core:generateReleaseResources
> Task :unimodules-core:packageReleaseResources
> Task :unimodules-react-native-adapter:compileReleaseRenderscript NO-SOURCE
> Task :unimodules-react-native-adapter:generateReleaseResValues
> Task :unimodules-react-native-adapter:generateReleaseResources
> Task :unimodules-react-native-adapter:packageReleaseResources
> Task :unimodules-task-manager-interface:compileReleaseRenderscript NO-SOURCE
> Task :unimodules-task-manager-interface:generateReleaseResValues
> Task :unimodules-task-manager-interface:generateReleaseResources
> Task :unimodules-task-manager-interface:packageReleaseResources
> Task :expo-ads-admob:extractDeepLinksRelease
> Task :expo-ads-admob:processReleaseManifest
> Task :expo-application:extractDeepLinksRelease
> Task :expo-application:processReleaseManifest
> Task :expo-av:extractDeepLinksRelease
> Task :expo-av:processReleaseManifest
> Task :expo-constants:extractDeepLinksRelease
> Task :expo-constants:processReleaseManifest
> Task :expo-error-recovery:extractDeepLinksRelease
> Task :expo-error-recovery:processReleaseManifest
> Task :expo-file-system:extractDeepLinksRelease
> Task :expo-file-system:processReleaseManifest
/build/workingdir/build/node_modules/expo-file-system/android/src/main/AndroidManifest.xml:8:9-10:20 Warning:
	provider#expo.modules.filesystem.FileSystemFileProvider@android:authorities was tagged at AndroidManifest.xml:8 to replace other declarations but no other declaration present
> Task :expo-font:extractDeepLinksRelease
> Task :expo-font:processReleaseManifest
> Task :expo-image-loader:extractDeepLinksRelease
> Task :expo-image-loader:processReleaseManifest
> Task :expo-keep-awake:extractDeepLinksRelease
> Task :expo-keep-awake:processReleaseManifest
> Task :expo-localization:extractDeepLinksRelease
> Task :expo-localization:processReleaseManifest
> Task :expo-modules-core:extractDeepLinksRelease
> Task :expo-modules-core:processReleaseManifest
> Task :expo-splash-screen:extractDeepLinksRelease
> Task :expo-splash-screen:processReleaseManifest
> Task :expo-structured-headers:extractDeepLinksRelease
> Task :expo-structured-headers:processReleaseManifest
> Task :expo-updates:extractDeepLinksRelease
> Task :expo-updates:processReleaseManifest
> Task :expo-updates-interface:extractDeepLinksRelease
> Task :expo-updates-interface:processReleaseManifest
> Task :react-native-admob:extractDeepLinksRelease
> Task :react-native-admob:processReleaseManifest
> Task :react-native-async-storage_async-storage:extractDeepLinksRelease
> Task :react-native-async-storage_async-storage:processReleaseManifest
> Task :react-native-gesture-handler:extractDeepLinksRelease
> Task :react-native-gesture-handler:processReleaseManifest
> Task :react-native-restart:extractDeepLinksRelease
> Task :react-native-restart:processReleaseManifest
> Task :react-native-safe-area-context:extractDeepLinksRelease
> Task :react-native-safe-area-context:processReleaseManifest
> Task :react-native-screens:extractDeepLinksRelease
> Task :react-native-screens:processReleaseManifest
> Task :react-native-vector-icons:extractDeepLinksRelease
> Task :react-native-vector-icons:processReleaseManifest
> Task :unimodules-app-loader:extractDeepLinksRelease
> Task :unimodules-app-loader:processReleaseManifest
> Task :unimodules-core:extractDeepLinksRelease
> Task :unimodules-core:processReleaseManifest
> Task :unimodules-react-native-adapter:extractDeepLinksRelease
> Task :unimodules-react-native-adapter:processReleaseManifest
> Task :unimodules-task-manager-interface:extractDeepLinksRelease
> Task :unimodules-task-manager-interface:processReleaseManifest
> Task :expo-ads-admob:compileReleaseLibraryResources
> Task :expo-application:compileReleaseLibraryResources
> Task :expo-av:compileReleaseLibraryResources
> Task :expo-constants:compileReleaseLibraryResources
> Task :expo-error-recovery:compileReleaseLibraryResources
> Task :expo-file-system:compileReleaseLibraryResources
> Task :expo-font:compileReleaseLibraryResources
> Task :expo-image-loader:compileReleaseLibraryResources
> Task :expo-keep-awake:compileReleaseLibraryResources
> Task :expo-localization:compileReleaseLibraryResources
> Task :expo-modules-core:compileReleaseLibraryResources
> Task :expo-splash-screen:compileReleaseLibraryResources
> Task :expo-structured-headers:compileReleaseLibraryResources
> Task :expo-updates:compileReleaseLibraryResources
> Task :expo-updates-interface:compileReleaseLibraryResources
> Task :react-native-admob:compileReleaseLibraryResources
> Task :react-native-async-storage_async-storage:compileReleaseLibraryResources
> Task :react-native-gesture-handler:compileReleaseLibraryResources
> Task :react-native-restart:compileReleaseLibraryResources
> Task :react-native-safe-area-context:compileReleaseLibraryResources
> Task :react-native-screens:compileReleaseLibraryResources
> Task :react-native-vector-icons:compileReleaseLibraryResources
> Task :unimodules-app-loader:compileReleaseLibraryResources
> Task :unimodules-core:compileReleaseLibraryResources
> Task :unimodules-react-native-adapter:compileReleaseLibraryResources
> Task :unimodules-task-manager-interface:compileReleaseLibraryResources
> Task :unimodules-core:compileReleaseAidl NO-SOURCE
> Task :expo-modules-core:compileReleaseAidl NO-SOURCE
> Task :expo-modules-core:generateReleaseBuildConfig
> Task :expo-modules-core:parseReleaseLocalResources
> Task :unimodules-core:parseReleaseLocalResources
> Task :unimodules-core:generateReleaseRFile
> Task :expo-modules-core:generateReleaseRFile
> Task :unimodules-core:generateReleaseBuildConfig
> Task :unimodules-core:compileReleaseKotlin
> Task :unimodules-core:javaPreCompileRelease
> Task :unimodules-core:compileReleaseJavaWithJavac
[stderr] Note: Some input files use unchecked or unsafe operations.
[stderr] Note: Recompile with -Xlint:unchecked for details.
> Task :unimodules-core:bundleLibCompileToJarRelease
> Task :expo-modules-core:compileReleaseKotlin
> Task :expo-modules-core:javaPreCompileRelease
> Task :expo-modules-core:compileReleaseJavaWithJavac
> Task :expo-modules-core:bundleLibRuntimeToJarRelease
> Task :unimodules-app-loader:compileReleaseAidl NO-SOURCE
> Task :unimodules-app-loader:generateReleaseBuildConfig
> Task :unimodules-app-loader:parseReleaseLocalResources
> Task :unimodules-app-loader:generateReleaseRFile
> Task :unimodules-app-loader:compileReleaseKotlin
> Task :unimodules-app-loader:javaPreCompileRelease
> Task :unimodules-app-loader:compileReleaseJavaWithJavac
> Task :unimodules-app-loader:bundleLibRuntimeToJarRelease
> Task :unimodules-core:bundleLibRuntimeToJarRelease
> Task :expo-modules-core:bundleLibCompileToJarRelease
> Task :unimodules-app-loader:bundleLibCompileToJarRelease
> Task :unimodules-react-native-adapter:compileReleaseAidl NO-SOURCE
> Task :unimodules-react-native-adapter:generateReleaseBuildConfig
> Task :unimodules-react-native-adapter:parseReleaseLocalResources
> Task :unimodules-react-native-adapter:generateReleaseRFile
> Task :unimodules-react-native-adapter:compileReleaseKotlin
> Task :unimodules-react-native-adapter:javaPreCompileRelease
> Task :unimodules-react-native-adapter:compileReleaseJavaWithJavac
> Task :unimodules-react-native-adapter:bundleLibRuntimeToJarRelease
> Task :expo-ads-admob:compileReleaseAidl NO-SOURCE
> Task :expo-ads-admob:generateReleaseBuildConfig
> Task :expo-ads-admob:parseReleaseLocalResources
> Task :expo-ads-admob:generateReleaseRFile
> Task :expo-ads-admob:compileReleaseKotlin
> Task :expo-ads-admob:javaPreCompileRelease
> Task :expo-ads-admob:compileReleaseJavaWithJavac
[stderr] Note: Some input files use or override a deprecated API.
[stderr] Note: Recompile with -Xlint:deprecation for details.
> Task :expo-ads-admob:bundleLibRuntimeToJarRelease
> Task :expo-application:compileReleaseAidl NO-SOURCE
> Task :expo-application:generateReleaseBuildConfig
> Task :expo-application:parseReleaseLocalResources
> Task :expo-application:generateReleaseRFile
> Task :expo-application:compileReleaseKotlin
> Task :expo-application:javaPreCompileRelease
> Task :expo-application:compileReleaseJavaWithJavac
> Task :expo-application:bundleLibRuntimeToJarRelease
> Task :expo-av:compileReleaseAidl NO-SOURCE
[stderr] Note: /build/workingdir/build/node_modules/expo-application/android/src/main/java/expo/modules/application/ApplicationModule.java uses or overrides a deprecated API.
[stderr] Note: Recompile with -Xlint:deprecation for details.
> Task :expo-av:generateReleaseBuildConfig
> Task :expo-av:parseReleaseLocalResources
> Task :expo-av:generateReleaseRFile FAILED
> Task :app:bundleReleaseJsAndAssets
info Writing bundle output to:, /build/workingdir/build/android/app/build/generated/assets/react/release/index.android.bundle
info Writing sourcemap output to:, /build/workingdir/build/android/app/build/generated/sourcemaps/react/release/index.android.bundle.map
info Done writing bundle output
info Done writing sourcemap output
info Copying 65 asset files
info Done copying assets
[stderr] FAILURE: Build failed with an exception.
[stderr] * What went wrong:
[stderr] Execution failed for task ':expo-av:generateReleaseRFile'.
[stderr] > Could not resolve all dependencies for configuration ':expo-av:releaseRuntimeClasspath'.
[stderr]    > Could not determine artifacts for com.google.android.exoplayer:exoplayer:2.9.2: Skipped due to earlier error
[stderr] * Try:
[stderr] Run with
[stderr] --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output. Run with --scan to get full insights.
[stderr] * Get more help at https://help.gradle.org
[stderr] BUILD FAILED in 3m 38s
Deprecated Gradle features were used in this build, making it incompatible with Gradle 7.0.
Use '--warning-mode all' to show the individual deprecation warnings.
See https://docs.gradle.org/6.8/userguide/command_line_interface.html#sec:command_line_warnings
232 actionable tasks: 232 executed
Error: Gradle build failed with unknown error. Please see logs for the "Run gradlew" phase.

At least it is a new error? :smile: I’m dealing with the same errors as zealmatch in different forms:

stderr] FAILURE: Build failed with an exception.
[stderr] * What went wrong:
[stderr] Execution failed for task ‘:app:lintVitalRelease’.
[stderr] > Could not resolve all artifacts for configuration ‘:expo-structured-headers:debugUnitTestRuntimeClasspath’.
[stderr] > Could not resolve org.apache.geronimo.specs:geronimo-json_1.1_spec:1.4.
[stderr] Required by:
[stderr] project :expo-structured-headers
[stderr] > Could not resolve org.apache.geronimo.specs:geronimo-json_1.1_spec:1.4.
[stderr] > Could not get resource ‘https://jcenter.bintray.com/org/apache/geronimo/specs/geronimo-json_1.1_spec/1.4/geronimo-json_1.1_spec-1.4.pom’.
[stderr] > Could not GET ‘https://jcenter.bintray.com/org/apache/geronimo/specs/geronimo-json_1.1_spec/1.4/geronimo-json_1.1_spec-1.4.pom’.
[stderr] > Read timed out

w: Detected multiple Kotlin daemon sessions at build/kotlin/sessions
[stderr] FAILURE: Build failed with an exception.
[stderr] * What went wrong:
[stderr] Execution failed for task ‘:app:lintVitalRelease’.
[stderr] > Could not resolve all artifacts for configuration ‘:expo-updates:debugAndroidTestRuntimeClasspath’.
[stderr] > Could not download byte-buddy-1.10.19.jar (net.bytebuddy:byte-buddy:1.10.19)
[stderr] > Could not get resource ‘https://jcenter.bintray.com/net/bytebuddy/byte-buddy/1.10.19/byte-buddy-1.10.19.jar’.
[stderr] > Could not GET ‘https://jcenter.bintray.com/net/bytebuddy/byte-buddy/1.10.19/byte-buddy-1.10.19.jar’.
[stderr] > Read timed out
[stderr] * Try:
[stderr] Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output. Run with --scan to get full insights.
[stderr] * Get more help at https://help.gradle.org

Configure project :expo-structured-headers
Warning: The ‘kotlin-android-extensions’ Gradle plugin is deprecated. Please use this migration guide (Migrate from Kotlin synthetics to Jetpack view binding) to start working with View Binding (View Binding  |  Android Developers) and the ‘kotlin-parcelize’ plugin.
[stderr] FAILURE: Build failed with an exception.
[stderr] * What went wrong:
[stderr] Could not determine the dependencies of task ‘:app:lintVitalRelease’.
[stderr] > Could not resolve all artifacts for configuration ‘:app:debugCompileClasspath’.
[stderr] > Could not resolve com.facebook.flipper:flipper:0.54.0.
[stderr] Required by:
[stderr] project :app
[stderr] > Skipped due to earlier error

You’re right, the problem was the status JitPack Status
I waited for the status to change to operational and build was successful. Thanks !

Yup, up and working again! thanks for the status link.

Ah i don’t know how to solve this problem really.
this is the status now:

and when i run eas build i have the same error:

> Task :react-native-admob:generateReleaseRFile
> Task :react-native-admob:javaPreCompileRelease
> Task :react-native-admob:compileReleaseJavaWithJavac FAILED
[stderr] /build/workingdir/build/node_modules/react-native-admob/android/src/main/java/com/sbugert/rnadmob/RNAdMobInterstitialAdModule.java:5: error: package android.support.annotation does not exist
[stderr] import android.support.annotation.Nullable;
[stderr]                                  ^
[stderr] /build/workingdir/build/node_modules/react-native-admob/android/src/main/java/com/sbugert/rnadmob/RNAdMobInterstitialAdModule.java:20: error: cannot find symbol
[stderr] import com.google.android.gms.ads.InterstitialAd;
[stderr]                                  ^
[stderr]   symbol:   class InterstitialAd
[stderr]   location: package com.google.android.gms.ads
[stderr] /build/workingdir/build/node_modules/react-native-admob/android/src/main/java/com/sbugert/rnadmob/RNAdMobInterstitialAdModule.java:36: error: cannot find symbol
[stderr]     InterstitialAd mInterstitialAd;
[stderr]     ^
[stderr]   symbol:   class InterstitialAd
[stderr]   location: class RNAdMobInterstitialAdModule
[stderr] /build/workingdir/build/node_modules/react-native-admob/android/src/main/java/com/sbugert/rnadmob/RNAdMobRewardedVideoAdModule.java:5: error: package android.support.annotation does not exist
[stderr] import android.support.annotation.Nullable;
[stderr]                                  ^
[stderr] /build/workingdir/build/node_modules/react-native-admob/android/src/main/java/com/sbugert/rnadmob/RNAdMobRewardedVideoAdModule.java:18: error: package com.google.android.gms.ads.reward does not exist
[stderr] import com.google.android.gms.ads.reward.RewardedVideoAd;
[stderr]                                         ^
[stderr] /build/workingdir/build/node_modules/react-native-admob/android/src/main/java/com/sbugert/rnadmob/RNAdMobRewardedVideoAdModule.java:19: error: package com.google.android.gms.ads.reward does not exist
[stderr] import com.google.android.gms.ads.reward.RewardedVideoAdListener;
[stderr]                                         ^
[stderr] /build/workingdir/build/node_modules/react-native-admob/android/src/main/java/com/sbugert/rnadmob/RNAdMobRewardedVideoAdModule.java:20: error: package com.google.android.gms.ads.reward does not exist
[stderr] import com.google.android.gms.ads.reward.RewardItem;
[stderr]                                         ^
[stderr] /build/workingdir/build/node_modules/react-native-admob/android/src/main/java/com/sbugert/rnadmob/RNAdMobRewardedVideoAdModule.java:25: error: cannot find symbol
[stderr] public class RNAdMobRewardedVideoAdModule extends ReactContextBaseJavaModule implements RewardedVideoAdListener {
[stderr]                                                                                         ^
[stderr]   symbol: class RewardedVideoAdListener
[stderr] /build/workingdir/build/node_modules/react-native-admob/android/src/main/java/com/sbugert/rnadmob/RNAdMobRewardedVideoAdModule.java:38: error: cannot find symbol
[stderr]     RewardedVideoAd mRewardedVideoAd;
[stderr]     ^
[stderr]   symbol:   class RewardedVideoAd
[stderr]   location: class RNAdMobRewardedVideoAdModule
[stderr] /build/workingdir/build/node_modules/react-native-admob/android/src/main/java/com/sbugert/rnadmob/RNAdMobRewardedVideoAdModule.java:54: error: cannot find symbol
[stderr]     public void onRewarded(RewardItem rewardItem) {
[stderr]                            ^
[stderr]   symbol:   class RewardItem
[stderr]   location: class RNAdMobRewardedVideoAdModule
[stderr] /build/workingdir/build/node_modules/react-native-admob/android/src/main/java/com/sbugert/rnadmob/RNAdMobBannerViewManager.java:4: error: package android.support.annotation does not exist
[stderr] import android.support.annotation.Nullable;
[stderr]                                  ^
[stderr] /build/workingdir/build/node_modules/react-native-admob/android/src/main/java/com/sbugert/rnadmob/RNPublisherBannerViewManager.java:4: error: package android.support.annotation does not exist
[stderr] import android.support.annotation.Nullable;
[stderr]                                  ^
[stderr] /build/workingdir/build/node_modules/react-native-admob/android/src/main/java/com/sbugert/rnadmob/RNPublisherBannerViewManager.java:20: error: package com.google.android.gms.ads.doubleclick does not exist
[stderr] import com.google.android.gms.ads.doubleclick.AppEventListener;
[stderr]                                              ^
[stderr] /build/workingdir/build/node_modules/react-native-admob/android/src/main/java/com/sbugert/rnadmob/RNPublisherBannerViewManager.java:21: error: package com.google.android.gms.ads.doubleclick does not exist
[stderr] import com.google.android.gms.ads.doubleclick.PublisherAdRequest;
[stderr]                                              ^
[stderr] /build/workingdir/build/node_modules/react-native-admob/android/src/main/java/com/sbugert/rnadmob/RNPublisherBannerViewManager.java:23: error: package com.google.android.gms.ads.doubleclick does not exist
[stderr] import com.google.android.gms.ads.doubleclick.PublisherAdView;
[stderr]                                              ^
[stderr] /build/workingdir/build/node_modules/react-native-admob/android/src/main/java/com/sbugert/rnadmob/RNPublisherBannerViewManager.java:29: error: cannot find symbol
[stderr] class ReactPublisherAdView extends ReactViewGroup implements AppEventListener {
[stderr]                                                              ^
[stderr] symbol: class AppEventListener
[stderr] /build/workingdir/build/node_modules/react-native-admob/android/src/main/java/com/sbugert/rnadmob/RNPublisherBannerViewManager.java:31: error: cannot find symbol
[stderr]     protected PublisherAdView adView;
[stderr]               ^
[stderr]   symbol:   class PublisherAdView
[stderr]   location: class ReactPublisherAdView
[stderr] /build/workingdir/build/node_modules/react-native-admob/android/src/main/java/com/sbugert/rnadmob/RNAdMobInterstitialAdModule.java:109: error: cannot find symbol
[stderr]     private void sendEvent(String eventName, @Nullable WritableMap params) {
[stderr]                                               ^
[stderr]   symbol:   class Nullable
[stderr]   location: class RNAdMobInterstitialAdModule
[stderr] /build/workingdir/build/node_modules/react-native-admob/android/src/main/java/com/sbugert/rnadmob/RNAdMobRewardedVideoAdModule.java:129: error: cannot find symbol
[stderr]     private void sendEvent(String eventName, @Nullable WritableMap params) {
[stderr]                                               ^
[stderr]   symbol:   class Nullable
[stderr]   location: class RNAdMobRewardedVideoAdModule
[stderr] /build/workingdir/build/node_modules/react-native-admob/android/src/main/java/com/sbugert/rnadmob/RNAdMobBannerViewManager.java:119: error: cannot find symbol
[stderr]     private void sendEvent(String name, @Nullable WritableMap event) {
[stderr]                                          ^
[stderr]   symbol:   class Nullable
[stderr]   location: class ReactAdView
[stderr] /build/workingdir/build/node_modules/react-native-admob/android/src/main/java/com/sbugert/rnadmob/RNAdMobBannerViewManager.java:196: error: cannot find symbol
[stderr]     @Nullable
[stderr]      ^
[stderr]   symbol:   class Nullable
[stderr]   location: class RNAdMobBannerViewManager
[stderr] /build/workingdir/build/node_modules/react-native-admob/android/src/main/java/com/sbugert/rnadmob/RNAdMobBannerViewManager.java:254: error: cannot find symbol
[stderr]     @Nullable
[stderr]      ^
[stderr]   symbol:   class Nullable
[stderr]   location: class RNAdMobBannerViewManager
[stderr] /build/workingdir/build/node_modules/react-native-admob/android/src/main/java/com/sbugert/rnadmob/RNPublisherBannerViewManager.java:122: error: cannot find symbol
[stderr]     private void sendEvent(String name, @Nullable WritableMap event) {
[stderr]                                          ^
[stderr]   symbol:   class Nullable
[stderr]   location: class ReactPublisherAdView
[stderr] /build/workingdir/build/node_modules/react-native-admob/android/src/main/java/com/sbugert/rnadmob/RNPublisherBannerViewManager.java:229: error: cannot find symbol
[stderr]     @Nullable
[stderr]      ^
[stderr]   symbol:   class Nullable
[stderr]   location: class RNPublisherBannerViewManager
[stderr] /build/workingdir/build/node_modules/react-native-admob/android/src/main/java/com/sbugert/rnadmob/RNPublisherBannerViewManager.java:302: error: cannot find symbol
[stderr]     @Nullable
[stderr]      ^
[stderr]   symbol:   class Nullable
[stderr]   location: class RNPublisherBannerViewManager
[stderr] /build/workingdir/build/node_modules/react-native-admob/android/src/main/java/com/sbugert/rnadmob/RNAdMobInterstitialAdModule.java:48: error: cannot find symbol
[stderr]         mInterstitialAd = new InterstitialAd(reactContext);
[stderr]                               ^
[stderr]   symbol:   class InterstitialAd
[stderr]   location: class RNAdMobInterstitialAdModule
[stderr] /build/workingdir/build/node_modules/react-native-admob/android/src/main/java/com/sbugert/rnadmob/RNAdMobInterstitialAdModule.java:58: error: method does not override or implement a method from a supertype
[stderr]                     @Override
[stderr]                     ^
[stderr] /build/workingdir/build/node_modules/react-native-admob/android/src/main/java/com/sbugert/rnadmob/RNAdMobInterstitialAdModule.java:89: error: method does not override or implement a method from a supertype
[stderr]                     @Override
[stderr]                     ^
[stderr] /build/workingdir/build/node_modules/react-native-admob/android/src/main/java/com/sbugert/rnadmob/RNAdMobInterstitialAdModule.java:143: error: cannot find symbol
[stderr]                             adRequestBuilder.addTestDevice(testDevice);
[stderr]                                             ^
[stderr]   symbol:   method addTestDevice(String)
[stderr]   location: variable adRequestBuilder of type Builder
[stderr] /build/workingdir/build/node_modules/react-native-admob/android/src/main/java/com/sbugert/rnadmob/RNAdMobRewardedVideoAdModule.java:53: error: method does not override or implement a method from a supertype
[stderr]     @Override
[stderr]     ^
[stderr] /build/workingdir/build/node_modules/react-native-admob/android/src/main/java/com/sbugert/rnadmob/RNAdMobRewardedVideoAdModule.java:63: error: method does not override or implement a method from a supertype
[stderr]     @Override
[stderr]     ^
[stderr] /build/workingdir/build/node_modules/react-native-admob/android/src/main/java/com/sbugert/rnadmob/RNAdMobRewardedVideoAdModule.java:72: error: method does not override or implement a method from a supertype
[stderr]     @Override
[stderr]     ^
[stderr] /build/workingdir/build/node_modules/react-native-admob/android/src/main/java/com/sbugert/rnadmob/RNAdMobRewardedVideoAdModule.java:77: error: method does not override or implement a method from a supertype
[stderr]     @Override
[stderr]     ^
[stderr] /build/workingdir/build/node_modules/react-native-admob/android/src/main/java/com/sbugert/rnadmob/RNAdMobRewardedVideoAdModule.java:82: error: method does not override or implement a method from a supertype
[stderr]     @Override
[stderr]     ^
[stderr] /build/workingdir/build/node_modules/react-native-admob/android/src/main/java/com/sbugert/rnadmob/RNAdMobRewardedVideoAdModule.java:87: error: method does not override or implement a method from a supertype
[stderr]     @Override
[stderr]     ^
[stderr] /build/workingdir/build/node_modules/react-native-admob/android/src/main/java/com/sbugert/rnadmob/RNAdMobRewardedVideoAdModule.java:92: error: method does not override or implement a method from a supertype
[stderr]     @Override
[stderr]     ^
[stderr] /build/workingdir/build/node_modules/react-native-admob/android/src/main/java/com/sbugert/rnadmob/RNAdMobRewardedVideoAdModule.java:97: error: method does not override or implement a method from a supertype
[stderr]     @Override
[stderr]     ^
[stderr] /build/workingdir/build/node_modules/react-native-admob/android/src/main/java/com/sbugert/rnadmob/RNAdMobRewardedVideoAdModule.java:150: error: cannot find symbol
[stderr]                 RNAdMobRewardedVideoAdModule.this.mRewardedVideoAd = MobileAds.getRewardedVideoAdInstance(getCurrentActivity());
[stderr]                                                                               ^
[stderr]   symbol:   method getRewardedVideoAdInstance(Activity)
[stderr]   location: class MobileAds
[stderr] /build/workingdir/build/node_modules/react-native-admob/android/src/main/java/com/sbugert/rnadmob/RNAdMobRewardedVideoAdModule.java:167: error: cannot find symbol
[stderr]                             adRequestBuilder.addTestDevice(testDevice);
[stderr]                                             ^
[stderr]   symbol:   method addTestDevice(String)
[stderr]   location: variable adRequestBuilder of type Builder
[stderr] /build/workingdir/build/node_modules/react-native-admob/android/src/main/java/com/sbugert/rnadmob/RNAdMobBannerViewManager.java:59: error: method does not override or implement a method from a supertype
[stderr]             @Override
[stderr]             ^
[stderr] /build/workingdir/build/node_modules/react-native-admob/android/src/main/java/com/sbugert/rnadmob/RNAdMobBannerViewManager.java:93: error: method does not override or implement a method from a supertype
[stderr]             @Override
[stderr]             ^
[stderr] /build/workingdir/build/node_modules/react-native-admob/android/src/main/java/com/sbugert/rnadmob/RNAdMobBannerViewManager.java:135: error: cannot find symbol
[stderr]                 adRequestBuilder.addTestDevice(testDevice);
[stderr]                                 ^
[stderr]   symbol:   method addTestDevice(String)
[stderr]   location: variable adRequestBuilder of type Builder
[stderr] /build/workingdir/build/node_modules/react-native-admob/android/src/main/java/com/sbugert/rnadmob/RNPublisherBannerViewManager.java:47: error: cannot find symbol
[stderr]         this.adView = new PublisherAdView(context);
[stderr]                           ^
[stderr]   symbol:   class PublisherAdView
[stderr]   location: class ReactPublisherAdView
[stderr] /build/workingdir/build/node_modules/react-native-admob/android/src/main/java/com/sbugert/rnadmob/RNPublisherBannerViewManager.java:62: error: method does not override or implement a method from a supertype
[stderr]             @Override
[stderr]             ^
[stderr] /build/workingdir/build/node_modules/react-native-admob/android/src/main/java/com/sbugert/rnadmob/RNPublisherBannerViewManager.java:66: error: cannot find symbol
[stderr]                     case PublisherAdRequest.ERROR_CODE_INTERNAL_ERROR:
[stderr]                          ^
[stderr]   symbol: variable PublisherAdRequest
[stderr] /build/workingdir/build/node_modules/react-native-admob/android/src/main/java/com/sbugert/rnadmob/RNPublisherBannerViewManager.java:69: error: cannot find symbol
[stderr]                     case PublisherAdRequest.ERROR_CODE_INVALID_REQUEST:
[stderr]                          ^
[stderr]   symbol: variable PublisherAdRequest
[stderr] /build/workingdir/build/node_modules/react-native-admob/android/src/main/java/com/sbugert/rnadmob/RNPublisherBannerViewManager.java:72: error: cannot find symbol
[stderr]                     case PublisherAdRequest.ERROR_CODE_NETWORK_ERROR:
[stderr]                          ^
[stderr]   symbol: variable PublisherAdRequest
[stderr] /build/workingdir/build/node_modules/react-native-admob/android/src/main/java/com/sbugert/rnadmob/RNPublisherBannerViewManager.java:75: error: cannot find symbol
[stderr]                     case PublisherAdRequest.ERROR_CODE_NO_FILL:
[stderr]                          ^
[stderr]   symbol: variable PublisherAdRequest
[stderr] /build/workingdir/build/node_modules/react-native-admob/android/src/main/java/com/sbugert/rnadmob/RNPublisherBannerViewManager.java:96: error: method does not override or implement a method from a supertype
[stderr]             @Override
[stderr]             ^
[stderr] /build/workingdir/build/node_modules/react-native-admob/android/src/main/java/com/sbugert/rnadmob/RNPublisherBannerViewManager.java:148: error: package PublisherAdRequest does not exist
[stderr]         PublisherAdRequest.Builder adRequestBuilder = new PublisherAdRequest.Builder();
[stderr]                           ^
[stderr] /build/workingdir/build/node_modules/react-native-admob/android/src/main/java/com/sbugert/rnadmob/RNPublisherBannerViewManager.java:148: error: package PublisherAdRequest does not exist
[stderr]         PublisherAdRequest.Builder adRequestBuilder = new PublisherAdRequest.Builder();
[stderr]                                                                             ^
[stderr] /build/workingdir/build/node_modules/react-native-admob/android/src/main/java/com/sbugert/rnadmob/RNPublisherBannerViewManager.java:153: error: cannot find symbol
[stderr]                     testDevice = PublisherAdRequest.DEVICE_ID_EMULATOR;
[stderr]                                  ^
[stderr]   symbol:   variable PublisherAdRequest
[stderr]   location: class ReactPublisherAdView
[stderr] /build/workingdir/build/node_modules/react-native-admob/android/src/main/java/com/sbugert/rnadmob/RNPublisherBannerViewManager.java:158: error: cannot find symbol
[stderr]         PublisherAdRequest adRequest = adRequestBuilder.build();
[stderr]         ^
[stderr]   symbol:   class PublisherAdRequest
[stderr]   location: class ReactPublisherAdView
[stderr] /build/workingdir/build/node_modules/react-native-admob/android/src/main/java/com/sbugert/rnadmob/RNPublisherBannerViewManager.java:184: error: method does not override or implement a method from a supertype
[stderr]     @Override
[stderr]     ^
[stderr] Note: Some input files use or override a deprecated API.
[stderr] Note: Recompile with -Xlint:deprecation for details.
[stderr] 54 errors
> Task :app:bundleReleaseJsAndAssets
info Writing bundle output to:, /build/workingdir/build/android/app/build/generated/assets/react/release/index.android.bundle
info Writing sourcemap output to:, /build/workingdir/build/android/app/build/generated/sourcemaps/react/release/index.android.bundle.map
info Done writing bundle output
info Done writing sourcemap output
info Copying 65 asset files
info Done copying assets
[stderr] FAILURE: Build failed with an exception.
[stderr] * What went wrong:
[stderr] Execution failed for task ':react-native-admob:compileReleaseJavaWithJavac'.
[stderr] > Compilation failed; see the compiler error output for details.
[stderr] * Try:
[stderr] Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output. Run with --scan to get full insights.
[stderr] * Get more help at https://help.gradle.org
[stderr] BUILD FAILED in 3m 32s
Deprecated Gradle features were used in this build, making it incompatible with Gradle 7.0.
Use '--warning-mode all' to show the individual deprecation warnings.
See https://docs.gradle.org/6.8/userguide/command_line_interface.html#sec:command_line_warnings
333 actionable tasks: 333 executed
Error: Gradle build failed with unknown error. Please see logs for the "Run gradlew" phase.

I’m sorry, I don’t know either.

It looks like the Admob - Expo Documentation fails, but that is just a guess.

You could try to build without admob or create a small repo with Admob - Expo Documentation and see if you could reproduce?

This topic was automatically closed 20 days after the last reply. New replies are no longer allowed.